
Figure - Bug #118919
【AF】【EVT3】【Monkey】113版本跑完monkey后静置——断电重启——静置——设备冻屏（投屏可正常使
用）
2023-06-28 18:09 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-28

Priority: Urgent Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 113

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: Monkey Test Root cause:

Description

【测试步骤】

1、设备monkey测试13H

2、手动停止

3、静置

4、断电重启

5、静置

【测试结果】

设备处于屏保页面，设备冻屏，滑动无响应

getevent有事件，投屏可正常操作

History

#1 - 2023-06-28 18:11 - CD TEST-方永红

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118919

#2 - 2023-06-28 19:56 - CD FW 曹覃刚

- Category changed from CD-FW to BSP

- Assignee changed from CD FW 曹覃刚 to CD BSP-余霄

■ 我的分析

①触摸滑动屏幕没有任何反应，但是投屏软件上是可以正常操作的

②adb shell getevent rtl 有输出，但是输出与正常的输出有差异，有问题的输出没有BTN_TOUCH DOWN和UP的输出，猜测这个可能导致上报的事件有问

题，因此无法正常处理

---------

在复现问题的屏幕上，一次完整的滑动如下

[   84501.415359] /dev/input/event2: EV_ABS       ABS_MT_TRACKING_ID   0000014c            

[   84501.415359] /dev/input/event2: EV_ABS       ABS_MT_POSITION_X    00000726            

[   84501.415359] /dev/input/event2: EV_ABS       ABS_MT_POSITION_Y    00000269            

[   84501.415359] /dev/input/event2: EV_SYN       SYN_REPORT           00000000             rate 0

[   84501.542706] /dev/input/event2: EV_ABS       ABS_MT_POSITION_X    0000071c            

[   84501.542706] /dev/input/event2: EV_ABS       ABS_MT_POSITION_Y    0000026d            

[   84501.542706] /dev/input/event2: EV_SYN       SYN_REPORT           00000000             rate 7
[   84501.552999] /dev/input/event2: EV_ABS       ABS_MT_POSITION_X    00000719            

[   84501.552999] /dev/input/event2: EV_ABS       ABS_MT_POSITION_Y    0000026e            

[   84501.552999] /dev/input/event2: EV_SYN       SYN_REPORT           00000000             rate 97

[   84501.563030] /dev/input/event2: EV_ABS       ABS_MT_POSITION_X    00000717            

[   84501.563030] /dev/input/event2: EV_SYN       SYN_REPORT           00000000             rate 99

[   84501.573019] /dev/input/event2: EV_ABS       ABS_MT_POSITION_X    00000715            

[   84501.573019] /dev/input/event2: EV_ABS       ABS_MT_POSITION_Y    0000026f            

[   84501.573019] /dev/input/event2: EV_SYN       SYN_REPORT           00000000             rate 100

[   84501.583039] /dev/input/event2: EV_ABS       ABS_MT_POSITION_X    00000713            

[   84501.583039] /dev/input/event2: EV_ABS       ABS_MT_POSITION_Y    00000270            

[   84501.583039] /dev/input/event2: EV_SYN       SYN_REPORT           00000000             rate 99

[   84501.593164] /dev/input/event2: EV_ABS       ABS_MT_POSITION_X    00000711            

[   84501.593164] /dev/input/event2: EV_SYN       SYN_REPORT           00000000             rate 98

[   84501.603057] /dev/input/event2: EV_ABS       ABS_MT_POSITION_X    0000070f            

[   84501.603057] /dev/input/event2: EV_SYN       SYN_REPORT           00000000             rate 101

[   84501.613256] /dev/input/event2: EV_ABS       ABS_MT_POSITION_X    0000070e            

[   84501.613256] /dev/input/event2: EV_SYN       SYN_REPORT           00000000             rate 98

[   84501.623351] /dev/input/event2: EV_ABS       ABS_MT_POSITION_X    0000070d            

[   84501.623351] /dev/input/event2: EV_SYN       SYN_REPORT           00000000             rate 99

[   84501.643733] /dev/input/event2: EV_ABS       ABS_MT_TRACKING_ID   ffffffff            

[   84501.643733] /dev/input/event2: EV_SYN       SYN_REPORT           00000000             rate 49

在正常的屏幕上

[    6167.906569] /dev/input/event2: EV_ABS       ABS_MT_TRACKING_ID   0000004f            

[    6167.906569] /dev/input/event2: EV_ABS       ABS_MT_POSITION_X    000006cc            

[    6167.906569] /dev/input/event2: EV_ABS       ABS_MT_POSITION_Y    0000024d            

[    6167.906569] /dev/input/event2: EV_KEY       BTN_TOUCH            DOWN                

[    6167.906569] /dev/input/event2: EV_SYN       SYN_REPORT           00000000             rate 0

[    6168.074794] /dev/input/event2: EV_ABS       ABS_MT_POSITION_X    000006c1            

[    6168.074794] /dev/input/event2: EV_ABS       ABS_MT_POSITION_Y    00000252            

[    6168.074794] /dev/input/event2: EV_SYN       SYN_REPORT           00000000             rate 5

[    6168.084233] /dev/input/event2: EV_ABS       ABS_MT_POSITION_X    000006be            

[    6168.084233] /dev/input/event2: EV_ABS       ABS_MT_POSITION_Y    00000254            

[    6168.084233] /dev/input/event2: EV_SYN       SYN_REPORT           00000000             rate 105

[    6168.093834] /dev/input/event2: EV_ABS       ABS_MT_POSITION_X    000006bb            

[    6168.093834] /dev/input/event2: EV_ABS       ABS_MT_POSITION_Y    00000256            

[    6168.093834] /dev/input/event2: EV_SYN       SYN_REPORT           00000000             rate 104

[    6168.104929] /dev/input/event2: EV_ABS       ABS_MT_POSITION_X    000006b8            

[    6168.104929] /dev/input/event2: EV_ABS       ABS_MT_POSITION_Y    00000257            

[    6168.104929] /dev/input/event2: EV_SYN       SYN_REPORT           00000000             rate 90

[    6168.113985] /dev/input/event2: EV_ABS       ABS_MT_POSITION_X    000006b5            

[    6168.113985] /dev/input/event2: EV_ABS       ABS_MT_POSITION_Y    00000259            

[    6168.113985] /dev/input/event2: EV_SYN       SYN_REPORT           00000000             rate 110

[    6168.124152] /dev/input/event2: EV_ABS       ABS_MT_POSITION_X    000006b2            

[    6168.124152] /dev/input/event2: EV_ABS       ABS_MT_POSITION_Y    0000025a            

[    6168.124152] /dev/input/event2: EV_SYN       SYN_REPORT           00000000             rate 98

[    6168.134163] /dev/input/event2: EV_ABS       ABS_MT_POSITION_X    000006af            

[    6168.134163] /dev/input/event2: EV_ABS       ABS_MT_POSITION_Y    0000025b            

[    6168.134163] /dev/input/event2: EV_SYN       SYN_REPORT           00000000             rate 99

[    6168.170492] /dev/input/event2: EV_ABS       ABS_MT_TRACKING_ID   ffffffff            

[    6168.170492] /dev/input/event2: EV_KEY       BTN_TOUCH            UP                  

[    6168.170492] /dev/input/event2: EV_SYN       SYN_REPORT           00000000             rate 27

---------
③屏端也一直在报下面的错误

---------

000426_persist_04438_230628_174215.log:362:06-28 17:42:40.362     0     0 E [77658.280844] [MAX975X: max96755x_vc1_lcd_dtc_check] ERROR DTC_Display: screen

not ready(0), bl_sta(1), lvl(29)

000426_persist_04438_230628_174215.log:388:06-28 17:42:44.002     0     0 E [77661.920826] link_delay_work_func: DTC_ETH: SQI=0, link=0

000426_persist_04438_230628_174215.log:392:06-28 17:42:44.618     0     0 E [77662.536857] [MAX975X: max96755x_vc1_lcd_dtc_check] ERROR DTC_Display: screen

not ready(0), bl_sta(1), lvl(29)

000426_persist_04438_230628_174215.log:414:06-28 17:42:48.874     0     0 E [77666.793349] [MAX975X: max96755x_vc1_lcd_dtc_check] ERROR DTC_Display: screen

not ready(0), bl_sta(1), lvl(29)

000426_persist_04438_230628_174215.log:415:06-28 17:42:49.122     0     0 E [77667.040345] link_delay_work_func: DTC_ETH: SQI=0, link=0

000426_persist_04438_230628_174215.log:439:06-28 17:42:53.130     0     0 E [77671.048939] [MAX975X: max96755x_vc1_lcd_dtc_check] ERROR DTC_Display: screen

not ready(0), bl_sta(1), lvl(29)

000426_persist_04438_230628_174215.log:447:06-28 17:42:54.242     0     0 E [77672.160332] link_delay_work_func: DTC_ETH: SQI=0, link=0

000426_persist_04438_230628_174215.log:464:06-28 17:42:57.386     0     0 E [77675.304911] [MAX975X: max96755x_vc1_lcd_dtc_check] ERROR DTC_Display: screen

not ready(0), bl_sta(1), lvl(29)

000426_persist_04438_230628_174215.log:474:06-28 17:42:59.362     0     0 E [77677.280354] link_delay_work_func: DTC_ETH: SQI=0, link=0

000426_persist_04438_230628_174215.log:498:06-28 17:43:01.641     0     0 E [77679.560800] [MAX975X: max96755x_vc1_lcd_dtc_check] ERROR DTC_Display: screen

not ready(0), bl_sta(1), lvl(29)

000426_persist_04438_230628_174215.log:513:06-28 17:43:04.482     0     0 E [77682.400537] link_delay_work_func: DTC_ETH: SQI=0, link=0

000426_persist_04438_230628_174215.log:518:06-28 17:43:05.898     0     0 E [77683.817119] [MAX975X: max96755x_vc1_lcd_dtc_check] ERROR DTC_Display: screen

not ready(0), bl_sta(1), lvl(29)

000426_persist_04438_230628_174215.log:544:06-28 17:43:09.602     0     0 E [77687.520355] link_delay_work_func: DTC_ETH: SQI=0, link=0

000426_persist_04438_230628_174215.log:566:06-28 17:43:10.153     0     0 E [77688.073373] [MAX975X: max96755x_vc1_lcd_dtc_check] ERROR DTC_Display: screen

not ready(0), bl_sta(1), lvl(29)

000426_persist_04438_230628_174215.log:698:06-28 17:43:14.410     0     0 E [77692.328870] [MAX975X: max96755x_vc1_lcd_dtc_check] ERROR DTC_Display: screen

not ready(0), bl_sta(1), lvl(29)

000426_persist_04438_230628_174215.log:699:06-28 17:43:14.722     0     0 E [77692.640603] link_delay_work_func: DTC_ETH: SQI=0, link=0

000426_persist_04438_230628_174215.log:761:06-28 17:43:18.666     0     0 E [77696.585140] [MAX975X: max96755x_vc1_lcd_dtc_check] ERROR DTC_Display: screen

not ready(0), bl_sta(1), lvl(29)

000426_persist_04438_230628_174215.log:766:06-28 17:43:19.842     0     0 E [77697.760327] link_delay_work_func: DTC_ETH: SQI=0, link=0

---------

根据上述三点的分析，应该是屏端硬件问题，需要BSP的同学帮忙分析看看

■ 下一步计划

BSP的同学帮忙分析看看

#3 - 2023-06-29 15:56 - CD BSP-余霄

点击后，固件无按压事件上报，怀疑与固件上报数据缺失导致

#4 - 2023-07-12 10:36 - CD BSP-余霄

- Category changed from BSP to 依赖客户及其供应商解决

- Status changed from New to RESOLVED

- Assignee changed from CD BSP-余霄 to CD TEST-方永红

已于供应商同步状态，设备按压后无抬起事件。

主机端无法处理该问题，需更新固件解决，目前等待供应商RELEASE正式固件。
#5 - 2023-07-28 15:14 - CDTS_TEST 王成

- Status changed from RESOLVED to NEED_INFO

- Assignee changed from CD TEST-方永红 to CD BSP-余霄

请确认修改项及测试需要注意的地方

#6 - 2023-08-11 10:07 - CD BSP-余霄

- Status changed from NEED_INFO to RESOLVED

- Assignee changed from CD BSP-余霄 to CD TEST-方永红

目前新版本固件已合入，旧版本固件/TP问题请关闭，后续如果新固件还有问题，请提新BUG

#7 - 2023-08-24 17:10 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#8 - 2023-08-24 17:11 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED
